## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iEntityTemplateLoader Struct Reference

This interface allows one to access the celentitytpl addon with an easier interface. More...

`#include <tools/entitytplloader.h>`

List of all members.

## Public Member Functions

virtual iCelEntityTemplate * | Load (const char *path, const char *file)=0
| Conveniance function to load the entity template from a vfs file.
virtual iCelEntityTemplate * | Load (iDocumentNode *node)=0
| Load the entity template from the document node.

## Detailed Description

This interface allows one to access the celentitytpl addon with an easier interface.

With this addon you can load entity templates with assocated behaviour and property classes from an XML description file.

Definition at line 38 of file entitytplloader.h.

## Member Function Documentation

virtual iCelEntityTemplate* iEntityTemplateLoader::Load | ( | const char * | path,
|  | const char * | file |
| ) |  |  | `[pure virtual]`

Conveniance function to load the entity template from a vfs file.

Parameters:

  | path | optional VFS path. Can be 0.

virtual iCelEntityTemplate* iEntityTemplateLoader::Load | ( | iDocumentNode * | node | ) | `[pure virtual]`

Load the entity template from the document node.

Returns entity template or 0 on failure. In case of failure the error has been reported to the reporter.

The documentation for this struct was generated from the following file:

- tools/entitytplloader.h